<?php
/**
 *
 * Defines the attributes and template for amazon seller feed.
 *
 * @package    Rex_Product_Feed
 * @subpackage Rex_Product_Feed/admin/feed-templates/Rex_Feed_Template_Amazon_seller_bed_amp
 * @author     RexTheme <info@rextheme.com>
 */
class Rex_Feed_Template_Amazon_seller_bed_amp extends Rex_Feed_Abstract_Template
{

    protected function init_atts()
    {
        $this->attributes = array(
            'Required Information' => array(
                'feed_product_type' => 'Product Type',
                'item_sku' => 'Seller SKU',
                'brand_name' => 'Brand Name',
                'external_product_id' => 'Product ID',
                'external_product_id_type' => 'Product ID Type',
                'item_name' => 'Item Name (aka Title)',
                'manufacturer' => 'Manufacturer',
                'recommended_browse_nodes' => 'Recommended Browse Nodes',
                'standard_price' => 'Standard Price',
                'quantity' => 'Quantity',
                'main_image_url' => 'Main Image URL',
            ) ,
            'Image Information' => array(
                'other_image_url1' => 'Other Image Url1',
                'other_image_url2' => 'Other Image Url2',
                'other_image_url3' => 'Other Image Url3',
                'other_image_url4' => 'Other Image Url4',
                'other_image_url5' => 'Other Image Url5',
                'other_image_url6' => 'Other Image Url6',
                'other_image_url7' => 'Other Image Url7',
                'other_image_url8' => 'Other Image Url8',
                'swatch_image_url' => 'Swatch Image URL',
            ) ,
            'Variation Information' => array(
                'parent_child' => 'Parentage',
                'parent_sku' => 'Parent SKU',
                'relationship_type' => 'Relationship Type',
                'variation_theme' => 'Variation Theme',
            ) ,
            'Basic Product Information' => array(
                'update_delete' => 'Update Delete',
                'gtin_exemption_reason' => 'GTIN Exemption Reason',
                'part_number' => 'Manufacturer Part Number',
                'product_description' => 'Product Description',
                'inner_material_type1' => 'Inner Material Type',
                'inner_material_type2' => 'Inner Material Type',
                'inner_material_type3' => 'Inner Material Type',
                'inner_material_type4' => 'Inner Material Type',
                'inner_material_type5' => 'Inner Material Type',
            ) ,
            'Item Discovery Information' => array(
                'wattage_unit_of_measure' => 'Wattage Unit Of Measure',
                'runtime_unit_of_measure' => 'runtime_unit_of_measure',
                'length_range' => 'length_range',
                'battery_description' => 'battery_description',
                'shaft_style_type' => 'shaft_style_type',
                'output_capacity_unit_of_measure' => 'Output Capacity Unit Of Measure',
                'lithium_battery_voltage_unit_of_measure' => 'lithium_battery_voltage_unit_of_measure',
                'lithium_battery_voltage' => 'lithium_battery_voltage',
                'catalog_number' => 'Merchant Catalogue Number',
                'bullet_point1' => 'Key Product Features',
                'bullet_point2' => 'Key Product Features',
                'bullet_point3' => 'Key Product Features',
                'bullet_point4' => 'Key Product Features',
                'bullet_point5' => 'Key Product Features',
                'generic_keywords' => 'Search Terms',
                'platinum_keywords1' => 'Platinum Keyword',
                'platinum_keywords2' => 'Platinum Keyword',
                'platinum_keywords3' => 'Platinum Keyword',
                'platinum_keywords4' => 'Platinum Keyword',
                'platinum_keywords5' => 'Platinum Keyword',
                'target_audience_keywords' => 'Home & Furniture Target Audience',
                'scent_name' => 'Scent',
                'number_of_sets' => 'Number Of Sets',
                'is_stain_resistant' => 'Is Stain Resistant',
                'wattage' => 'Wattage',
                'color_name' => 'Colour',
                'theme' => 'Subject',
                'color_map' => 'Color Map',
                'style_name' => 'Style Name',
                'size_name' => 'Size',
                'paint_type' => 'Paint Type',
                'number_of_pieces' => 'Number Of Pieces',
                'material_type' => 'Material Type',
                'special_features1' => 'Special Features',
                'special_features2' => 'Special Features',
                'special_features3' => 'Special Features',
                'special_features4' => 'Special Features',
                'special_features5' => 'Special Features',
                'special_features6' => 'Special Features',
                'runtime' => 'Runtime',
                'seating_capacity' => 'Seating Capacity',
                'power_source_type' => 'Operating Type',
                'pattern_name' => 'Design',
                'output_capacity' => 'Iron & Steamer Steam Output',
                'operating_pressure' => 'Iron & Steamer Pressure',
                'operating_pressure_unit_of_measure' => 'Iron & Steamer Pressure Unit of Measure',
                'occasion_type' => 'Occasion Type',
                'number_of_doors' => 'Number of doors',
                'noise_level' => 'Sound Level',
                'noise_level_unit_of_measure' => 'Noise Level Unit Of Measure',
                'item_type_name' => 'Item Type',
                'item_styling' => 'Ornament Type',
                'included_components1' => 'Mixer Feature',
                'included_components2' => 'Mixer Feature',
                'included_components3' => 'Mixer Feature',
                'included_components4' => 'Mixer Feature',
                'included_components5' => 'Mixer Feature',
                'included_components6' => 'Mixer Feature',
                'included_components7' => 'Mixer Feature',
                'included_components8' => 'Mixer Feature',
                'included_components9' => 'Mixer Feature',
                'included_components10' => 'Mixer Feature',
                'installation_type' => 'Indoor Fountain Installation Type',
                'compatible_devices' => 'Compatible Devices',
                'frame_type' => 'Bed Frame Type',
                'efficiency' => 'Energy efficiency class',
                'eu_energy_label_efficiency_class' => 'Energy Efficiency Class Range',
                'blade_edge_type' => 'Blade Edge',
                'annual_energy_consumption' => 'Annual Energy Consumption',
                'annual_energy_consumption_unit_of_measure' => 'Annual Energy Consumption Unit Of Measure',
                'battery_form_factor' => 'Handheld Vacuum Battery Type',
                'power_plug_type' => 'Power Plug Type',
            ) ,
            'Product Enrichment Information' => array(
                'finish_type1' => 'Finish',
                'finish_type2' => 'Finish',
                'finish_type3' => 'Finish',
                'finish_type4' => 'Finish',
                'finish_type5' => 'Finish',
                'number_of_speeds' => 'Number of Speeds',
                'blade_material_type' => 'Blade Material Type',
            ) ,
            'Product Dimensions' => array(
                'item_width_unit_of_measure' => 'Item Width Unit Of Measure',
                'item_width' => 'item_width',
                'item_height' => 'item_height',
                'blade_length' => 'blade_length',
                'size_map' => 'size_map',
                'width_range' => 'width_range',
                'item_height_unit_of_measure' => 'Item Height Unit Of Measure',
                'item_dimensions_unit_of_measure' => 'Item Dimensions Unit Of Measure',
                'item_length_unit_of_measure' => 'Item Length Unit Of Measure',
                'item_length' => 'item_length',
                'blade_length_unit_of_measure' => 'Blade Length Unit Of Measure',
                'paper_size_unit_of_measure' => 'Paper Size Unit of Measure',
                'item_display_depth' => 'Display Depth',
                'item_display_depth_unit_of_measure' => 'Item Display Depth Unit Of Measure',
                'website_shipping_weight' => 'Shipping Weight',
                'website_shipping_weight_unit_of_measure' => 'Website Shipping Weight Unit Of Measure',
                'item_display_length' => 'Vacuum Sealer Bag Length',
                'item_display_length_unit_of_measure' => 'Item Display Length Unit Of Measure',
                'item_display_width' => 'Display Width',
                'item_display_width_unit_of_measure' => 'Item Display Width Unit Of Measure',
                'item_display_height' => 'Display Height',
                'item_display_height_unit_of_measure' => 'Item Display Height Unit Of Measure',
                'item_display_diameter' => 'Display Diameter',
                'item_display_diameter_unit_of_measure' => 'Item Display Diameter Unit Of Measure',
                'item_display_weight' => 'Vacuum & Floor Care Item Weight',
                'item_display_weight_unit_of_measure' => 'Item Display Weight Unit Of Measure',
                'volume_capacity_name' => 'Volume',
                'volume_capacity_name_unit_of_measure' => 'Volume Capacity Name Unit Of Measure',
                'item_display_volume' => 'Volume Capacity of the appliance',
                'item_display_volume_unit_of_measure' => 'Item Display Volume Unit Of Measure',
                'item_shape' => 'Shape',
                'item_diameter_derived' => 'Cookware Diameter',
                'item_diameter_unit_of_measure' => 'Item Diameter Unit Of Measure',
                'unit_count_type' => 'Unit of Measure (Per Unit Pricing)',
                'unit_count' => 'Unit Count (Per Unit Pricing)',
                'paper_size' => 'Paper size',
                'maximum_weight_capacity' => 'Kitchen Scale Capacity',
                'maximum_weight_capacity_unit_of_measure' => 'Maximum Weight Capacity Unit Of Measure',
                'capacity_unit_of_measure' => 'Capacity Unit Of Measure',
                'capacity' => 'Capacity',
                'form_factor1' => 'Knitting Needle Type',
                'form_factor2' => 'Knitting Needle Type',
                'form_factor3' => 'Knitting Needle Type',
                'form_factor4' => 'Knitting Needle Type',
                'form_factor5' => 'Knitting Needle Type',
                'item_thickness_unit_of_measure' => 'Item Thickness Unit Of Measure',
                'item_thickness_derived' => 'item_thickness_derived',
            ) ,
            'Fulfillment Information' => array(
                'package_weight_unit_of_measure' => 'Package Weight Unit Of Measure',
                'package_dimensions_unit_of_measure' => 'Package Dimensions Unit Of Measure',
                'package_weight' => 'package_weight',
                'package_length' => 'Package Length',
                'package_width' => 'Package Width',
                'package_height' => 'Package Height',
                'fulfillment_center_id' => 'Fulfillment Centre ID',
            ) ,
            'Compliance Information' => array(
                'specific_uses_for_product1' => 'specific_uses_for_product1',
                'specific_uses_for_product2' => 'specific_uses_for_product2',
                'specific_uses_for_product3' => 'specific_uses_for_product3',
                'specific_uses_for_product4' => 'specific_uses_for_product4',
                'specific_uses_for_product5' => 'specific_uses_for_product5',
                'product_efficiency_image_url' => 'Product fiche',
                'energy_efficiency_image_url' => 'Energy efficiency label',
                'legal_disclaimer_description' => 'legal_disclaimer_description',
                'safety_warning' => 'safety_warning',
                'fedas_id' => 'fedas_id',
                'customer_restriction_type' => 'Age restriction bladed products',
                'eu_toys_safety_directive_age_warning' => 'EU Toys Safety Directive Age-Specific Warning',
                'eu_toys_safety_directive_warning' => 'EU Toys Safety Directive Non-Age-Specific Warning',
                'eu_toys_safety_directive_language' => 'EU Toys Safety Directive Language Warning',
                'country_string' => 'Country/Region of declaration',
                'warranty_description' => 'Manufacturer Warranty Description',
                'are_batteries_included' => 'Batteries are Included',
                'batteries_required' => 'Is this product a battery or does it utilise batteries?',
                'battery_type1' => 'Battery type/size',
                'battery_type2' => 'Battery type/size',
                'battery_type3' => 'Battery type/size',
                'number_of_batteries1' => 'Number of batteries',
                'number_of_batteries2' => 'Number of batteries',
                'number_of_batteries3' => 'Number of batteries',
                'battery_cell_composition' => 'Battery composition',
                'battery_weight' => 'Battery weight (grams)',
                'battery_weight_unit_of_measure' => 'battery_weight_unit_of_measure',
                'number_of_lithium_metal_cells' => 'Number of Lithium Metal Cells',
                'number_of_lithium_ion_cells' => 'Number of Lithium-ion Cells',
                'lithium_battery_packaging' => 'Lithium Battery Packaging',
                'lithium_battery_energy_content' => 'Watt hours per battery',
                'lithium_battery_energy_content_unit_of_measure' => 'lithium_battery_energy_content_unit_of_measure',
                'lithium_battery_weight' => 'Lithium content (grams)',
                'lithium_battery_weight_unit_of_measure' => 'lithium_battery_weight_unit_of_measure',
                'supplier_declared_dg_hz_regulation1' => 'Applicable Dangerous Goods Regulations',
                'supplier_declared_dg_hz_regulation2' => 'Applicable Dangerous Goods Regulations',
                'supplier_declared_dg_hz_regulation3' => 'Applicable Dangerous Goods Regulations',
                'supplier_declared_dg_hz_regulation4' => 'Applicable Dangerous Goods Regulations',
                'supplier_declared_dg_hz_regulation5' => 'Applicable Dangerous Goods Regulations',
                'hazmat_united_nations_regulatory_id' => 'UN number',
                'safety_data_sheet_url' => 'Safety Data Sheet (SDS) URL',
                'item_weight' => 'Item Weight',
                'item_weight_unit_of_measure' => 'item_weight_unit_of_measure',
                'item_volume' => 'Volume',
                'item_volume_unit_of_measure' => 'item_volume_unit_of_measure',
                'flash_point' => 'Flash point (°C)?',
                'ghs_classification_class1' => 'Categorization/GHS pictograms (select all that apply)',
                'ghs_classification_class2' => 'Categorization/GHS pictograms (select all that apply)',
                'ghs_classification_class3' => 'Categorization/GHS pictograms (select all that apply)',
            ) ,
            'Offer Information' => array(
                'list_price' => 'Recommended Retail Price',
                'weee_tax_value' => 'weee_tax_value',
                'number_of_items' => 'Number of Items',
                'weee_tax_value_unit_of_measure' => 'weee_tax_value_unit_of_measure',
                'offering_end_date' => 'Stop Selling Date',
                'max_order_quantity' => 'Max Order Quantity',
                'merchant_shipping_group_name' => 'Merchant Shipping Group',
                'offering_start_date' => 'Offering Release Date',
                'delivery_schedule_group_id' => 'Scheduled Delivery SKU List',
                'product_site_launch_date' => 'Launch Date',
                'currency' => 'Currency',
                'item_package_quantity' => 'Package Quantity',
                'product_tax_code' => 'Product Tax Code',
                'merchant_release_date' => 'Release Date',
                'sale_price' => 'Sale Price',
                'sale_from_date' => 'Sale From Date',
                'sale_end_date' => 'Sale End Date',
                'condition_type' => 'Item Condition',
                'condition_note' => 'Offer Condition Note',
                'fulfillment_latency' => 'Handling Time',
                'restock_date' => 'Restock Date',
                'max_aggregate_ship_quantity' => 'Maximum Aggregate Ship Quantity',
                'offering_can_be_gift_messaged' => 'Can Be Gift Messaged',
                'offering_can_be_giftwrapped' => 'Is Gift Wrap Available?',
                'is_discontinued_by_manufacturer' => 'Is Discontinued by Manufacturer',
                'uvp_list_price' => 'RRP',

            )

        );
    }

    protected function init_default_template_mappings()
    {
        $this->template_mappings = array(
            array(
                'attr' => 'feed_product_type',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => 'Kitchen',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_sku',
                'type' => 'meta',
                'meta_key' => 'sku',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'brand_name',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'external_product_id',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'external_product_id_type',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_name',
                'type' => 'meta',
                'meta_key' => 'title',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'manufacturer',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'recommended_browse_nodes',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '2850815031',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'standard_price',
                'type' => 'meta',
                'meta_key' => 'price',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'quantity',
                'type' => 'meta',
                'meta_key' => 'quantity',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'main_image_url',
                'type' => 'meta',
                'meta_key' => 'featured_image',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'other_image_url1',
                'type' => 'meta',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'part_number',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'product_description',
                'type' => 'meta',
                'meta_key' => 'description',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'inner_material_type1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'bullet_point1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'bullet_point2',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'bullet_point3',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'bullet_point4',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'bullet_point5',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'generic_keywords',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'are_batteries_included',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'batteries_required',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_type1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_type2',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_type3',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'number_of_batteries1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'number_of_batteries2',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'number_of_batteries3',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_cell_composition',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_weight',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'battery_weight_unit_of_measure',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'number_of_lithium_metal_cells',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'number_of_lithium_ion_cells',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'lithium_battery_packaging',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'lithium_battery_energy_content',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'lithium_battery_energy_content_unit_of_measure',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'lithium_battery_weight',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'lithium_battery_weight_unit_of_measure',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'supplier_declared_dg_hz_regulation1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'supplier_declared_dg_hz_regulation2',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'supplier_declared_dg_hz_regulation3',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'supplier_declared_dg_hz_regulation4',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'supplier_declared_dg_hz_regulation5',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'hazmat_united_nations_regulatory_id',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'safety_data_sheet_url',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_weight',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_weight_unit_of_measure',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_volume',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'item_volume_unit_of_measure',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'ghs_classification_class1',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'ghs_classification_class2',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
            array(
                'attr' => 'ghs_classification_class3',
                'type' => 'static',
                'meta_key' => '',
                'st_value' => '',
                'prefix' => '',
                'suffix' => '',
                'escape' => 'default',
                'limit' => 0
            ) ,
        );
    }

}